Package ngs

# Interface ReadGroup

All Known Subinterfaces:
  `ReadGroupIterator`

public interface ReadGroup
Represents an NGS-capable object with a group of Reads

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  getName
  `Statistics`
  `getStatistics()`
  getStatistics

- ## Method Details

  - ### getName

    String getName() throws ErrorMsg
    getName
    Returns:
      the simple name of the read group
    Throws:
      `ErrorMsg` - if name cannot be returned

  - ### getStatistics

    Statistics getStatistics() throws ErrorMsg
    getStatistics
    Returns:
      a collection of statistical data
    Throws:
      `ErrorMsg` - if not statistical data can be returned